Page MenuHomePhabricator

[OpenCL][Sema] Improve BuildResolvedCallExpr handling of builtins
ClosedPublic

Authored by mantognini on Nov 30 2018, 10:21 AM.

Details

Summary

This is a follow-up on https://reviews.llvm.org/D52879, addressing a few issues.

This:

  • adds a FIXME for later improvement for specific builtins: I previously have only checked OpenCL ones and ensured tests cover those.
  • fixed the CallExpr type.

Diff Detail

Repository
rL LLVM

Event Timeline

mantognini created this revision.Nov 30 2018, 10:21 AM
riccibruno accepted this revision.Dec 1 2018, 4:05 AM

Much better. LGTM with a small format nit.

lib/Sema/SemaExpr.cpp
5556 ↗(On Diff #176157)

This goes over 80 cols.

This revision is now accepted and ready to land.Dec 1 2018, 4:05 AM
Anastasia added inline comments.Dec 3 2018, 2:25 AM
lib/Sema/SemaExpr.cpp
5556 ↗(On Diff #176157)

I think the format is normally

// FIXME: text...
// more text...

No extra spaces on the next line. :)

This revision was automatically updated to reflect the committed changes.